import request from '@/utils/request'

// 查询客户日志列表
export function listCustomerLogs(query) {
  return request({
    url: '/crm/customerLogs/list',
    method: 'get',
    params: query
  })
}

// 查询客户日志详细
export function getCustomerLogs(logsId) {
  return request({
    url: '/crm/customerLogs/' + logsId,
    method: 'get'
  })
}

// 新增客户日志
export function addCustomerLogs(data) {
  return request({
    url: '/crm/customerLogs',
    method: 'post',
    data: data
  })
}

// 修改客户日志
export function updateCustomerLogs(data) {
  return request({
    url: '/crm/customerLogs',
    method: 'put',
    data: data
  })
}

// 删除客户日志
export function delCustomerLogs(logsId) {
  return request({
    url: '/crm/customerLogs/' + logsId,
    method: 'delete'
  })
}

// 导出客户日志
export function exportCustomerLogs(query) {
  return request({
    url: '/crm/customerLogs/export',
    method: 'get',
    params: query
  })
}